---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::ListBoxRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ListBoxRenderer.html">ListBoxRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1ListBoxRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::ListBoxRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::ListBoxRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1ListBoxRenderer.png" usemap="#tgui::ListBoxRenderer_map" alt=""/>
  <map id="tgui::ListBoxRenderer_map" name="tgui::ListBoxRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,131,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="141,0,272,24"/>
<area href="classtgui_1_1WidgetPadding.html" title="Parent class for every widget that has padding. " alt="tgui::WidgetPadding" shape="rect" coords="282,0,413,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a90358c2b0586aa321fd483a3279ea3dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a90358c2b0586aa321fd483a3279ea3dd">ListBoxRenderer</a> (<a class="el" href="classtgui_1_1ListBox.html">ListBox</a> *listBox)</td></tr>
<tr class="memdesc:a90358c2b0586aa321fd483a3279ea3dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a90358c2b0586aa321fd483a3279ea3dd">More...</a><br /></td></tr>
<tr class="separator:a90358c2b0586aa321fd483a3279ea3dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f89faa67c01abc6fc3d8835feb575f0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a4f89faa67c01abc6fc3d8835feb575f0">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a4f89faa67c01abc6fc3d8835feb575f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a4f89faa67c01abc6fc3d8835feb575f0">More...</a><br /></td></tr>
<tr class="separator:a4f89faa67c01abc6fc3d8835feb575f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e375242c365173a14d6f951ea5ab937"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a7e375242c365173a14d6f951ea5ab937">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:a7e375242c365173a14d6f951ea5ab937"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a7e375242c365173a14d6f951ea5ab937">More...</a><br /></td></tr>
<tr class="separator:a7e375242c365173a14d6f951ea5ab937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add790628cc16c5cf6600ba46cfe1fb65"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#add790628cc16c5cf6600ba46cfe1fb65">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:add790628cc16c5cf6600ba46cfe1fb65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#add790628cc16c5cf6600ba46cfe1fb65">More...</a><br /></td></tr>
<tr class="separator:add790628cc16c5cf6600ba46cfe1fb65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6503e6a619f8da540f653a125ab1455"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#ac6503e6a619f8da540f653a125ab1455">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:ac6503e6a619f8da540f653a125ab1455"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#ac6503e6a619f8da540f653a125ab1455">More...</a><br /></td></tr>
<tr class="separator:ac6503e6a619f8da540f653a125ab1455"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2c59801c5f8263a49d9183c5962e0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#acc2c59801c5f8263a49d9183c5962e0a">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;backgroundColor)</td></tr>
<tr class="memdesc:acc2c59801c5f8263a49d9183c5962e0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color that will be used inside the list box.  <a href="#acc2c59801c5f8263a49d9183c5962e0a">More...</a><br /></td></tr>
<tr class="separator:acc2c59801c5f8263a49d9183c5962e0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958b1599475290b983034a4580a05545"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a958b1599475290b983034a4580a05545">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;textColor)</td></tr>
<tr class="memdesc:a958b1599475290b983034a4580a05545"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color that will be used inside the list box.  <a href="#a958b1599475290b983034a4580a05545">More...</a><br /></td></tr>
<tr class="separator:a958b1599475290b983034a4580a05545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11ca02cfe2ced0b8619df452b7ccbdad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a11ca02cfe2ced0b8619df452b7ccbdad">setTextColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a11ca02cfe2ced0b8619df452b7ccbdad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text in the normal state (mouse not on top of the item).  <a href="#a11ca02cfe2ced0b8619df452b7ccbdad">More...</a><br /></td></tr>
<tr class="separator:a11ca02cfe2ced0b8619df452b7ccbdad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ece12db73cabf761d64363c997cc325"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a5ece12db73cabf761d64363c997cc325">setTextColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a5ece12db73cabf761d64363c997cc325"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text in the hover state (mouse is standing on top of the item).  <a href="#a5ece12db73cabf761d64363c997cc325">More...</a><br /></td></tr>
<tr class="separator:a5ece12db73cabf761d64363c997cc325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38969ca38dae4ebac4919fc595474503"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a38969ca38dae4ebac4919fc595474503">setHoverBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;hoverBackgroundColor)</td></tr>
<tr class="memdesc:a38969ca38dae4ebac4919fc595474503"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the unselected item on which the mouse is standing.  <a href="#a38969ca38dae4ebac4919fc595474503">More...</a><br /></td></tr>
<tr class="separator:a38969ca38dae4ebac4919fc595474503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20d2fa3e8f2eed943f19740bf7ab7a09"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#a20d2fa3e8f2eed943f19740bf7ab7a09">setSelectedBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;selectedBackgroundColor)</td></tr>
<tr class="memdesc:a20d2fa3e8f2eed943f19740bf7ab7a09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the selected text that will be used inside the list box.  <a href="#a20d2fa3e8f2eed943f19740bf7ab7a09">More...</a><br /></td></tr>
<tr class="separator:a20d2fa3e8f2eed943f19740bf7ab7a09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee5c78c1eb51cdafd93afd53029fa185"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#aee5c78c1eb51cdafd93afd53029fa185">setSelectedTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;selectedTextColor)</td></tr>
<tr class="memdesc:aee5c78c1eb51cdafd93afd53029fa185"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color of the selected text that will be used inside the list box.  <a href="#aee5c78c1eb51cdafd93afd53029fa185">More...</a><br /></td></tr>
<tr class="separator:aee5c78c1eb51cdafd93afd53029fa185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad653cf024a633e286b1a8dbf3f18d1ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#ad653cf024a633e286b1a8dbf3f18d1ea">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;borderColor)</td></tr>
<tr class="memdesc:ad653cf024a633e286b1a8dbf3f18d1ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the border color text that will be used inside the list box.  <a href="#ad653cf024a633e286b1a8dbf3f18d1ea">More...</a><br /></td></tr>
<tr class="separator:ad653cf024a633e286b1a8dbf3f18d1ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3ecdeed111e257e9f1fdf3d778b7f5f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#ac3ecdeed111e257e9f1fdf3d778b7f5f">setBackgroundTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:ac3ecdeed111e257e9f1fdf3d778b7f5f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background image.  <a href="#ac3ecdeed111e257e9f1fdf3d778b7f5f">More...</a><br /></td></tr>
<tr class="separator:ac3ecdeed111e257e9f1fdf3d778b7f5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae786426ecce79109d582f5aae759dd19"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ListBoxRenderer.html#ae786426ecce79109d582f5aae759dd19">setPadding</a> (const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;padding) override</td></tr>
<tr class="memdesc:ae786426ecce79109d582f5aae759dd19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the padding of the list box.  <a href="#ae786426ecce79109d582f5aae759dd19">More...</a><br /></td></tr>
<tr class="separator:ae786426ecce79109d582f5aae759dd19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a75128d6d549e479c4b455afc77a75f9e">More...</a><br /></td></tr>
<tr class="separator:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetPadding"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetPadding')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td></tr>
<tr class="memitem:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">setPadding</a> (float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td></tr>
<tr class="memdesc:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#a865dcb475db3ef518b601846045c9212">More...</a><br /></td></tr>
<tr class="separator:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">setPadding</a> (float width, float height)</td></tr>
<tr class="memdesc:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#abba6165c8b9220c6bf904446a0c7f262">More...</a><br /></td></tr>
<tr class="separator:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Padding</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a> () const </td></tr>
<tr class="memdesc:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the padding.  <a href="#ab1c34add1232dc4cd8dca0ebc4dc8a20">More...</a><br /></td></tr>
<tr class="separator:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a90358c2b0586aa321fd483a3279ea3dd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ListBoxRenderer::ListBoxRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ListBox.html">ListBox</a> *&#160;</td>
          <td class="paramname"><em>listBox</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">listBox</td><td>The list box that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="add790628cc16c5cf6600ba46cfe1fb65"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::ListBoxRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ac6503e6a619f8da540f653a125ab1455"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::ListBoxRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="acc2c59801c5f8263a49d9183c5962e0a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>backgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color that will be used inside the list box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">backgroundColor</td><td>The color of the background of the list box </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac3ecdeed111e257e9f1fdf3d778b7f5f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setBackgroundTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New background texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image is set, the background color property will be ignored. Pass an empty string to unset the image, in this case the background color property will be used again. </p>

</div>
</div>
<a class="anchor" id="ad653cf024a633e286b1a8dbf3f18d1ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>borderColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the border color text that will be used inside the list box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borderColor</td><td>The color of the borders </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a38969ca38dae4ebac4919fc595474503"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setHoverBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>hoverBackgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the unselected item on which the mouse is standing. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">hoverBackgroundColor</td><td>The color of the background of unselected item below the mouse </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae786426ecce79109d582f5aae759dd19"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ListBoxRenderer::setPadding </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;&#160;</td>
          <td class="paramname"><em>padding</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the padding of the list box. </p>
<p>This padding will be scaled together with the background image. If there is no background image, or when 9-slice scaling is used, the padding will be exactly what you pass here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">padding</td><td>The padding width and height </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">tgui::WidgetPadding</a>.</p>

</div>
</div>
<a class="anchor" id="a4f89faa67c01abc6fc3d8835feb575f0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ListBoxRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a7e375242c365173a14d6f951ea5ab937"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ListBoxRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a20d2fa3e8f2eed943f19740bf7ab7a09"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setSelectedBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>selectedBackgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the selected text that will be used inside the list box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">selectedBackgroundColor</td><td>The color of the background of the selected item </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aee5c78c1eb51cdafd93afd53029fa185"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setSelectedTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>selectedTextColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color of the selected text that will be used inside the list box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">selectedTextColor</td><td>The color of the text when it is selected </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a958b1599475290b983034a4580a05545"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>textColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color that will be used inside the list box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">textColor</td><td>The color of the text</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ListBoxRenderer.html#a11ca02cfe2ced0b8619df452b7ccbdad" title="Changes the color of the text in the normal state (mouse not on top of the item). ...">setTextColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ListBoxRenderer.html#a5ece12db73cabf761d64363c997cc325" title="Changes the color of the text in the hover state (mouse is standing on top of the item)...">setTextColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a5ece12db73cabf761d64363c997cc325"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setTextColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text in the hover state (mouse is standing on top of the item). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a11ca02cfe2ced0b8619df452b7ccbdad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ListBoxRenderer::setTextColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text in the normal state (mouse not on top of the item). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="ListBox_8hpp_source.html">ListBox.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
